## thefuck 1.46

=== debian/changelog ===
thefuck (1.46-1) unstable; urgency=medium

  * Initial release. (Closes: #783816)

 -- Alessio Treglia <alessio@debian.org>  Wed, 17 Jun 2015 17:44:55 +0100

## thefuck 2.5.6

=== requirements.txt ===
pytest
mock
pytest-mock
wheel
setuptools>=17.1
pexpect
pypandoc

=== debian/changelog ===
thefuck (2.5.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Thu, 30 Jul 2015 12:15:46 +0100

=== debian/control ===
Source: thefuck
Priority: optional
Section: python
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 python-all,
 python-setuptools
X-Python-Version: 2.7
Standards-Version: 3.9.6
Homepage: https://github.com/nvbn/thefuck
Vcs-Git: git://anonscm.debian.org/collab-maint/thefuck.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/thefuck.git

Package: thefuck
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 python-colorama,
 python-pathlib,
 python-psutil,
 python-six
Description: spelling corrector of console commands
 The Fuck attempts to fix user's command line mistakes, by
 composing new commands applying a series of matching rules.
 It supports various shells, such as bash, fish, tcsh, and
 zsh.
 .
 This package provides the Python 2 version of The Fuck as
 python-pathlib currently lacks Python 3 support. Furthermore
 the 'sudo' matching rule has been disabled for users' safety.

## thefuck 3.2

=== requirements.txt ===
pytest
mock
pytest-mock
wheel
setuptools>=17.1
pexpect
pypandoc
pytest-benchmark
pytest-docker-pexpect

=== debian/changelog ===
thefuck (3.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch for XDG compliance.
  * Add patch to fix wrong handling of logic operator in thefuck/utils.py.

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 Nov 2015 23:17:13 +0000

thefuck (3.1-1) unstable; urgency=medium

  * New upstream release.
  * Depends on python-decorator.
  * Refresh patches:
    - debian/patches/0001-clean_scripts_install.patch
    - debian/patches/0003-xdg_config_dir.patch
  * Drop debian/patches/0002-disable_sudo_correction.patch:
    - The program asks for confirmatiom by default before fixing
      the previous command.

 -- Alessio Treglia <alessio@debian.org>  Mon, 02 Nov 2015 01:46:20 +0000

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  ${python:Depends},
  ${misc:Depends},
  python-colorama,
+ python-decorator,
  python-pathlib,
  python-psutil,
  python-six

## thefuck 3.11

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+pip
 pytest
 mock
 pytest-mock

=== debian/changelog ===
thefuck (3.11-2) unstable; urgency=medium

  * Depend on python-pathlib2 instead of python-pathlib.
    Thanks to Axel Beckert for the patch (Closes: #836748)

 -- Alessio Treglia <alessio@debian.org>  Wed, 05 Oct 2016 07:24:14 +0100

thefuck (3.11-1) unstable; urgency=medium

  * Imported Upstream version 3.11
  * Dropped 1001-fix_memoize.patch, applied upstream
  * Refresh patches.
  * Move under Section utils. Closes: #820384
  * Bump Standards

 -- Alessio Treglia <alessio@debian.org>  Mon, 29 Aug 2016 14:03:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: thefuck
 Priority: optional
-Section: python
+Section: utils
 Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends:
  debhelper (>= 9~),
@@ -8,7 +8,7 @@
  python-all,
  python-setuptools
 X-Python-Version: 2.7
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/nvbn/thefuck
 Vcs-Git: git://anonscm.debian.org/collab-maint/thefuck.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/thefuck.git
@@ -20,7 +20,7 @@
  ${misc:Depends},
  python-colorama,
  python-decorator,
- python-pathlib,
+ python-pathlib2,
  python-psutil,
  python-six
 Description: spelling corrector of console commands

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/thefuck/ --install-scripts=/usr/share/thefuck/

override_dh_auto_clean:
	dh_auto_clean
	rm -fr thefuck.egg-info/

## thefuck 3.11.1

=== debian/changelog ===
thefuck (3.11.1-2) unstable; urgency=medium

  * fix CVE-2021-34363

 -- Ding Heng <dingheng@uniontech.com>  Fri, 30 Sep 2022 17:11:18 +0800

thefuck (3.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing dependency on python-pkg-resources.
    (Closes: #842393)

 -- Adrian Bunk <bunk@debian.org>  Sat, 12 May 2018 10:22:28 +0300

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  python-colorama,
  python-decorator,
  python-pathlib2,
+ python-pkg-resources,
  python-psutil,
  python-six
 Description: spelling corrector of console commands

## thefuck 3.29

=== debian/changelog ===
thefuck (3.29-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/patches/0002-CVE-2021-34363.patch to fix possible changes in
    files outside of working directory. (Closes: #989989, CVE-2021-34363)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Fri, 18 Jun 2021 23:36:23 +0000

thefuck (3.29-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing Depends 'python3-distutils' on thefuck. (Closes: #946447)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 09 Jun 2021 23:10:07 +0000

thefuck (3.29-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release, to migrate to python 3; Closes: #897603
    - move from python2 to python3, switch to pybuild too
  * debian/copyright
    - update to reflect new upstream release
  * debian/control
    - update Vcs-* fields to point to Salsa
    - drop outdated X-P-V field
    - bump Standards-Version to 4.4.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 22 Aug 2019 18:15:36 -0400

=== debian/control ===
Source: thefuck
Priority: optional
Section: utils
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 python3,
 python3-setuptools,
 python3-pyte,
Standards-Version: 4.4.0
Homepage: https://github.com/nvbn/thefuck
Vcs-Git: https://salsa.debian.org/debian/thefuck.git
Vcs-Browser: https://salsa.debian.org/debian/thefuck

Package: thefuck
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-colorama,
 python3-decorator,
 python3-distutils,
 python3-pkg-resources,
 python3-psutil,
 python3-six
Description: spelling corrector of console commands
 The Fuck attempts to fix user's command line mistakes, by
 composing new commands applying a series of matching rules.
 It supports various shells, such as bash, fish, tcsh, and
 zsh.
 .
 The 'sudo' matching rule has been disabled for users' safety.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DISABLE=test
export PYBUILD_INSTALL_ARGS_python3 = --install-lib=usr/share/thefuck/ --install-scripts=usr/share/thefuck/ --install-layout=deb

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -fr thefuck.egg-info/

## thefuck 3.32

=== requirements.txt ===
flake8
pytest
mock
pytest-mock
wheel
setuptools>=17.1
pexpect
pypandoc
pytest-benchmark
pytest-docker-pexpect
twine

=== debian/changelog ===
thefuck (3.32-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop runtime dependency on python3-pkg-resources (Closes: #1083796)
  * Patch-out usage of python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 Oct 2025 12:34:46 +0200

thefuck (3.32-0.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bastian Germann ]
  * d/copyright: List BSD-2-clause verbosely. (Closes: #1101468)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 28 Mar 2025 15:56:03 -0400

thefuck (3.32-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove the runtime dependency on python3-setuptools

 -- Alexandre Detiste <tchet@debian.org>  Sat, 01 Feb 2025 10:02:57 +0100

thefuck (3.32-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version
  * Add dependency on python3-zombie-imp (LP: #2065530)
  * Remove need for python3-distutilts (Closes: #1065984, LP: #1875178)
  * Enable most tests in local build,
    add dependency on python3-mock & python3-pytest,
    the tests still fail in a clean buildd
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Watch file standard 4 (routine-update)
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Jul 2024 15:49:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,18 @@
 Section: utils
 Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends:
- debhelper (>= 9~),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3,
+ python3-colorama,
+ python3-decorator,
+ python3-mock,
+ python3-psutil,
+ python3-pytest,
+ python3-pyte,
  python3-setuptools,
- python3-pyte,
-Standards-Version: 4.4.0
+ python3-zombie-imp,
+Standards-Version: 4.7.2
 Homepage: https://github.com/nvbn/thefuck
 Vcs-Git: https://salsa.debian.org/debian/thefuck.git
 Vcs-Browser: https://salsa.debian.org/debian/thefuck
@@ -20,10 +26,8 @@
  ${misc:Depends},
  python3-colorama,
  python3-decorator,
- python3-distutils,
- python3-pkg-resources,
  python3-psutil,
- python3-six
+ python3-zombie-imp,
 Description: spelling corrector of console commands
  The Fuck attempts to fix user's command line mistakes, by
  composing new commands applying a series of matching rules.

=== debian/rules ===
#!/usr/bin/make -f

# tests works fine in "debuild" but not in a clean "gbp buildpackage --git-pbuilder"
export PYBUILD_DISABLE=test

export PYBUILD_TEST_ARGS= -k 'not test_get_valid_history_without_current and not test_readm'
export PYBUILD_INSTALL_ARGS= --install-lib=usr/share/thefuck/ --install-scripts=usr/share/thefuck/

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/thefuck-$1\.tar\.gz/ \
  https://github.com/nvbn/thefuck/tags .*/(\d\S*)\.tar\.gz
